pppoa2(8)

NAME
pppoa2 - ppp(d) PPP over ATM interface for SpeedTouch USB and SpeedTouch 330 modem

SYNOPSIS
pppoa2 [OPTION]... -vpi value1 -vci value2

DESCRIPTION

pppoa2 allows ppp(d) to communicate with the SpeedTouch USB modem through a PTY interface. It manages PPP encapsulation into ATM cells, which are then send as aal5 packets to the modem through the USB bus.

You have to carefully set your vpi and vci values according to your country settings.

Here are some values : vpi.vci = 8.48 for Netherlands
          8.35 for France
          8.67 for France (bis)
          8.35 for Belgium
          8.35 for Italy
          0.38 for UK

MANDATORY

-vpi vpi_value
    Defines vpi value

-vci vci_value
    Defines vci value

OPTIONS

-b  Bridging 1483 mode (PPPoE support).

-d device
    Defines which USB device should be used as the SpeedTouch USB modem. On Linux, this is something like /proc/bus/usb/003/006. Usefull when using more than one modem on the same machine.

-e alternate_number
    Use an alternate endpoint interface. The value 1 is used if nothing is specified as it works with all modem revision. If you specify -1, no alternate endpoint interface will be selected, using the one selected by the system.

-f filename
    Defines the pppoa2 log file name (by default /var/log/pppoa2.log). This option is not available if syslog is used (default at compile time).

-v number
    Verbosity level
        - 0 Main messages + Error messages
        - 1 level 0 + State/Warnings messages
        - 2 level 1 + More debug info
        - 3 level 2 + USB packet dumping (can cause driver crash)

--help
    display this help and exit

RETURN VALUES

0 on success, any other value on failure

SEE ALSO

modem_run(8), pppoa3(8)

AUTHOR
SpeedTouch USB driver development team.